# Record Class LLServerGrant

java.lang.Object
java.lang.Record
com.io7m.looseleaf.server.api.LLServerGrant

Record Components:
  `action` - The action
  `keys` - The key expression

public record LLServerGrant(LLServerAction action, String keys) extends Record
A grant of permission to perform an action on a set of keys.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LLServerGrant(LLServerAction action, String keys)`
  A grant of permission to perform an action on a set of keys.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LLServerAction`
  `action()`
  Returns the value of the `action` record component.
  `LLGrant`
  `asGrant()`
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `String`
  `keys()`
  Returns the value of the `keys` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LLServerGrant

    public LLServerGrant(LLServerAction action, String keys)
    A grant of permission to perform an action on a set of keys.
    Parameters:
      `action` - The action
      `keys` - The key expression

- ## Method Details

  - ### asGrant

    public LLGrant asGrant()
    Returns:
      The configuration as a grant

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### action

    public LLServerAction action()
    Returns the value of the `action` record component.
    Returns:
      the value of the `action` record component

  - ### keys

    public String keys()
    Returns the value of the `keys` record component.
    Returns:
      the value of the `keys` record component